package main

import "fmt"
import "bufio"
import "os"

func main() {
	f, err := os.Open(os.Args[1])
	defer f.Close()
	if err != nil {
		fmt.Println(err)
		os.Exit(1)
	}

	contatore := make(map[string]int)

	scanner := bufio.NewScanner(f)
	scanner.Split(bufio.ScanWords)
	for scanner.Scan() {
		token := scanner.Text()
		contatore[token]++
	}

	for k,v := range contatore {
		fmt.Printf("%-15s\t%5d\n", k, v)
	}
}